package com.laseroptek.raman.data.source.db

import com.laseroptek.raman.data.source.db.model.SerialLog
import kotlinx.coroutines.flow.Flow

interface DatabaseService {
    fun selectSerialLog(maxRecord: Int) : Flow<List<SerialLog>>

    suspend fun insertSerialLog(serialLog: SerialLog)
    suspend fun trimLogs(limit: Int)
}